<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'468x60 Banner',
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));
?>
<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Home Sidebar',
'before_widget' => '<div class="block">',
'after_widget' => '</div>',
'before_title' => '<h3>',
'after_title' => '</h3>',
));
?>
<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Page Sidebar',
'before_widget' => '<div class="block">',
'after_widget' => '</div>',
'before_title' => '<h3>',
'after_title' => '</h3>',
));
?>
<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Category Blog Sidebar',
'before_widget' => '<div class="block">',
'after_widget' => '</div>',
'before_title' => '<h3>',
'after_title' => '</h3>',
));
?>
<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Single Blog Sidebar',
'before_widget' => '<div class="block">',
'after_widget' => '</div>',
'before_title' => '<h3>',
'after_title' => '</h3>',
));
?>
<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Category Video Sidebar',
'before_widget' => '<div class="block">',
'after_widget' => '</div>',
'before_title' => '<h3>',
'after_title' => '</h3>',
));
?>
<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Single Video Sidebar',
'before_widget' => '<div class="block">',
'after_widget' => '</div>',
'before_title' => '<h3>',
'after_title' => '</h3>',
));
?>
<?php
load_theme_textdomain('RevolutionTV');

class RevolutionTV {

	function addOptions () {

		if (isset($_POST['RevolutionTV_reset'])) { RevolutionTV::initOptions(true); }

		if (isset($_POST['RevolutionTV_save'])) {

			$aOptions = RevolutionTV::initOptions(false);
			$aOptions['featured-cat'] = $_POST['featured-cat'];
			$aOptions['featured-count'] = $_POST['featured-count'];
			$aOptions['sideblog-title'] = stripslashes($_POST['sideblog-title']);		
			$aOptions['sideblog-count'] = $_POST['sideblog-count'];
			$aOptions['sideblog-cat'] = $_POST['sideblog-cat'];
			$aOptions['footer-text'] = stripslashes($_POST['footer-text']);
			update_option('RevolutionTV_theme', $aOptions);

		}
		
		add_theme_page("Revolution TV Theme Options", "Revolution TV Options", 'edit_themes', basename(__FILE__), array('RevolutionTV', 'displayOptions'));
	}
	
	function initOptions ($bReset) {
		$aOptions = get_option('RevolutionTV_theme');
		if (!is_array($aOptions) || $bReset) {
			$aOptions['featured-cat'] = '3';
			$aOptions['featured-count'] = '9';
			$aOptions['sideblog-title'] = 'Sideblog';
			$aOptions['sideblog-count'] = '5';
			$aOptions['sideblog-cat'] = '4';
			$aOptions['footer-text'] = 'Copyright 2008 SomeSite.com - All Rights Reserved';
			update_option('RevolutionTV_theme', $aOptions);
		}
		return $aOptions;
	}

	function displayOptions () {
		$aOptions = RevolutionTV::initOptions(false);
?>

<div class="wrap">
	<h2>Revolution TV Theme Options</h2>	
    <div style="margin-left:0px;">
    <form action="#" method="post" enctype="multipart/form-data" name="massive_form" id="massive_form">
		<fieldset name="general_options" class="options">
		
        <h3 style="margin-bottom:0px;">Featured Video Options</h3>        
        <p style="margin-top:0px;">Use the fields below to edit your featured video options for the home page.</p>
		
        Featured Video Category ID Number: (You can easily find your category ID number using the "<a href="http://wordpress.org/extend/plugins/reveal-ids-for-wp-admin-25/" title="Reveal ID's" target="_blank">Reveal ID's</a>" Plugin)<br />
		<div style="margin:0;padding:0;">
        <input name="featured-cat" id="featured-cat" value="<?php echo($aOptions['featured-cat']); ?>" size="2" ></input>   
        </div><br /> 
        
        Number of Featured Post Items to Display:<br />
		<div style="margin:0;padding:0;">
        <input name="featured-count" type="text" id="featured-count" value="<?php echo($aOptions['featured-count']); ?>" size="2" /> 
        </div><br />
        
        <h3 style="margin-bottom:0px;">Standard Blog Post (Non Video Posts) Options:</h3>
        <p style="margin-top:0px;">Use the fields below to edit your standard blog post options (non video posts) &amp; sideblog widget options.</p>
 
        Blog Category ID Number: (You can easily find your category ID number using the "<a href="http://wordpress.org/extend/plugins/reveal-ids-for-wp-admin-25/" title="Reveal ID's" target="_blank">Reveal ID's</a>" Plugin)<br />
		<div style="margin:0;padding:0;">
        <input name="sideblog-cat" id="sideblog-cat" value="<?php echo($aOptions['sideblog-cat']); ?>" size="2" ></input>   
        </div><br /> 
        
        Sideblog Title:<br />
        <div style="margin:0;padding:0;">
        <input name="sideblog-title" id="sideblog-title" size="15" value="<?php echo($aOptions['sideblog-title']); ?>"></input> 
        </div><br />
        
        Number of Sideblog Items to Display:<br />
		<div style="margin:0;padding:0;">
        <input name="sideblog-count" type="text" id="sideblog-count" value="<?php echo($aOptions['sideblog-count']); ?>" size="2" /> 
        </div><br />
        
        <h3 style="margin-bottom:0px;">Footer Copyright Text Options:</h3>
        <p style="margin-top:0px;">Use the fields below to edit your copyright text within the footer.</p>
        
        Footer Text:<br />
        <div style="margin:0;padding:0;">
        <input name="footer-text" id="footer-text" size="75" value="<?php echo($aOptions['footer-text']); ?>"></input> 
        </div><br />
                                
		</fieldset>
		<p class="submit"><input type="submit" name="RevolutionTV_reset" value="Reset" /></p>
		<p class="submit"><input type="submit" name="RevolutionTV_save" value="Save" /></p>
	</form>      
</div>
<?php
	}
}

// Register functions
add_action('admin_menu', array('RevolutionTV', 'addOptions'));

?>