<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?> />

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico" type="image/x-icon" />

<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.js" type="text/javascript"></script>

<script type="text/javascript"> 
$(function()
{
$("#catslide").click(function(event) {
event.preventDefault();
$("#categories").slideToggle();
});
});
</script>

<script language="javascript">
function doClear(theText) {
 if (theText.value == theText.defaultValue) {
	 theText.value = ""
 }
}
</script>

<?php wp_head(); ?>
</head>
<body>
<div id="wrapper">

    <div id="masthead">
    	<span class="logo">
        	<a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name'); ?>"><img src="<?php bloginfo('template_url'); ?>/images/logo.jpg" alt="<?php bloginfo('name'); ?>" /></a>
        </span>
        
        <div id="advert">
        	<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('468x60 Banner') ) : ?>
        	<img src="<?php bloginfo('template_url'); ?>/images/468x60.gif" alt="Advertisement Widget" />
            <?php endif; ?>
        </div>
        
        <div id="navigation">
            <ul id="nav" >
                <li><a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name'); ?>">Home</a></li>
                <li><a href="#" id="catslide" title="Display all Categories">Categories</a></li>
                <?php wp_list_pages('title_li='); ?>
                <li class="rss"><a title="Subscribe to Content via RSS" href="<?php bloginfo('rss2_url'); ?>">Subscribe</a></li>
            </ul>  
            
            <?php include (TEMPLATEPATH . '/searchform.php'); ?>    
        </div>
    </div>